import lume from "lume/mod.ts";
import tailwindcss from "lume/plugins/tailwindcss.ts";
import postcss from "lume/plugins/postcss.ts";
import icons from "lume/plugins/icons.ts";
import googleFonts from "lume/plugins/google_fonts.ts";


const site = lume();

site.copy("assets");

site.use(tailwindcss(/* Options */));
site.use(postcss());
site.use(icons());
site.use(googleFonts({
    cssFile: "font.css",
    fonts:
      "https://fonts.googleapis.com/css2?family=Baloo+2:wght@400..800&display=swap",
  }));


export default site;
